# $Revision: 1.13 $, $Date: 2002/10/22 06:47:50 $
Summary:	An X Window System based IBM 3278/3279 terminal emulator
Summary(de): X-basierter 3270-Emulator
Summary(fr): Emulateur 3270 pour X
Summary(pl):	Emulator terminala IBM 3278/3279 pod X Window System
Summary(ru):   IBM 3278/3279  X Window
Summary(tr): X tabanl 3270 yknmcs
Summary(uk):  ͦ IBM 3278/3279  X Window
Summary(zh_CN): һģ IBM 3278/3279 ն˵ X ϵͳ. 
Name:		x3270
Version:	3.1.1.9
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	ftp://ftp.x.org/contrib/applications/%{name}-%{version}.tgz
BuildRequires:	XFree86-devel
Requires(post,postun):	/usr/X11R6/bin/mkfontdir
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

%description -l de
Dieses Programm emuliert ein IBM 3270-Terminal, das blicherweise mit
Mainframe-Anwendungen in einem X-Fenster ausgefhrt wird.

%description -l fr
Ce programme mule un terminal IBM 3270, couramment utilis sous X window
avec les gros systmes.

%description -l pl
Program x3270 otwiera okienko pod X, ktre emuluje waciwy wygld
terminala IBM 3278/3279, uywanego gwnie z aplikacjami mainframe.
x3270 pozwala take ztelnetowa si na maszyn IBM z okienka x3270.

%description -l ru
 x3270    X Window System,  
 IBM 3278/3279,    ,  
"telnet-"   IBM.

%description -l tr
Bu program IBM 3270 ubirim yknm yapar. IBM 3270 yknm baz eski
bilgisayar sistemlerine balanmak iin gerekebilir.

%description -l uk
 x3270 צ צ  X Window System,   
ͦ IBM 3278/3279,    , 
Ѥ "telnet-"   IBM.

%prep
%setup -q -n x3270-3.1.1

%build
xmkmf
# "LIB" is misleading - LIBX3270DIR contains only ibm_hosts configuration file
%{__make} CXXDEBUGFLAGS="%{rpmcflags}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	LIBX3270DIR=%{_sysconfdir}/%{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/X11/app-defaults,%{_applnkdir}/Network,%{_mandir}/man5}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBX3270DIR=%{_sysconfdir}/%{name} \
	MKFONTDIR=mkfontdir

install X3270.xad $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/X3270

cat > $RPM_BUILD_ROOT%{_applnkdir}/Network/x3270.desktop <<EOF
[Desktop Entry]
Name=x3270
Type=Application
Comment=3270 Terminal Emulator
Comment[pl]=Emulator Terminala 3270
Exec=x3270
Terminal=false
EOF

mv -f $RPM_BUILD_ROOT%{_mandir}/man{1/ibm_hosts.1x,5/ibm_hosts.5x}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/X11R6/bin/mkfontdir %{_fontsdir}/misc

%postun
/usr/X11R6/bin/mkfontdir %{_fontsdir}/misc

%files
%defattr(644,root,root,755)
%doc Docs/*
%attr(755,root,root) %{_bindir}/x3270
%attr(755,root,root) %{_bindir}/x3270if
%dir %{_sysconfdir}/x3270
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/x3270/ibm_hosts
%{_applnkdir}/Network/x3270.desktop
%config %{_libdir}/X11/app-defaults/X3270
%{_fontsdir}/misc/3270.pcf.gz
%{_fontsdir}/misc/3270b.pcf.gz
%{_fontsdir}/misc/3270-12.pcf.gz
%{_fontsdir}/misc/3270-12b.pcf.gz
%{_fontsdir}/misc/3270-20.pcf.gz
%{_fontsdir}/misc/3270-20b.pcf.gz
%{_fontsdir}/misc/3270d.pcf.gz
%{_fontsdir}/misc/3270h.pcf.gz
%{_fontsdir}/misc/3270gt8.pcf.gz
%{_fontsdir}/misc/3270gt12.pcf.gz
%{_fontsdir}/misc/3270gt12b.pcf.gz
%{_fontsdir}/misc/3270gt16.pcf.gz
%{_fontsdir}/misc/3270gt16b.pcf.gz
%{_fontsdir}/misc/3270gt24.pcf.gz
%{_fontsdir}/misc/3270gt24b.pcf.gz
%{_fontsdir}/misc/3270gt32.pcf.gz
%{_fontsdir}/misc/3270gt32b.pcf.gz
%{_mandir}/man1/x3270.1x*
%{_mandir}/man1/x3270if.1x*
%{_mandir}/man1/x3270-script.1x*
%{_mandir}/man5/ibm_hosts.5x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: x3270.spec,v $
Revision 1.13  2002/10/22 06:47:50  kloczek
- merge translations from old BeroLinux, KSE and TurboLinux.

Revision 1.12  2002/10/14 13:50:27  qboosh
- updated to 3.1.1.9, moved config file to /etc, converted wmconfig to .desktop,
  other spec updates

Revision 1.11  2002/07/05 13:45:53  qboosh
- fixed Source0 URL

Revision 1.10  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/20 12:53:14  qboosh
- adapterized, pl description

Revision 1.6  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 7)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- ibm_hosts needed %config (#788)

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Marc Ewing <marc@redhat.com>
- new version
- added wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
